Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browser

Ask for help about FlashGot, no registration needed to post

Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browser

Postby MM » Thu Mar 17, 2016 10:52 am

Hi,

Upon update of the latest addon FlashGot 1.5.6.13 within PaleMoon 26.1.1, the download of files via flashgot addon to the target download manager would not work anymore.

Clicking on the tab PaleMoon Tools > FlashGot > More Options would only result in an open window with an error "A core FlashGot component is missing or corrupted. Please reinstall FlashGot.".

There is no problem evident in the other browsers Firefox/Cyberfox though.

Some recent change made with the latest addon update FlashGot 1.5.6.13 may have caused this error with PaleMoon 26.1.1 as there was no problem with the previous version.

Reverted back to FlashGot 1.5.6.12 as interim measure.

Hoping for a bugfix soon.
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:38.9) Gecko/20100101 Goanna/2.0 Firefox/38.9 PaleMoon/26.1.1
MM
 

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby beepbeep » Thu Mar 17, 2016 12:05 pm

i concur, same problem here
Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:38.9) Gecko/20100101 Goanna/2.0 Firefox/38.9 PaleMoon/26.1.1
beepbeep
 
Posts: 1
Joined: Thu Mar 17, 2016 11:56 am

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby CuF » Thu Mar 17, 2016 11:09 pm

Ditto. Another PM user who would like to see FlashGot keep up with it.
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:38.9) Gecko/20100101 Goanna/2.0 Firefox/38.9 PaleMoon/26.1.1
CuF
Junior Member
 
Posts: 31
Joined: Fri Dec 06, 2013 10:14 pm

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby CuF » Thu Mar 17, 2016 11:21 pm

Guest wrote:Ditto. Another PM user who would like to see FlashGot keep up with it.

Wasn't logged in, so I can 't edit that post.

I've seen two problems:

First, starting with 1.5.6.12, JSDownloadsAPI.jsm contains the line "return Services.vc.compare(Services.appinfo.version, "26.0a1") >= 0;".
Pale Moon is a higher version number but needs the pre-v26 JSM version to function, especially on YouTube.

With v1.5.6.13, the above is possibly still an issue, but FlashGot is now completely non-functional. It throws an error that a core component is missing.
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:38.9) Gecko/20100101 Goanna/2.0 Firefox/38.9 PaleMoon/26.1.1
CuF
Junior Member
 
Posts: 31
Joined: Fri Dec 06, 2013 10:14 pm

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby barbaz » Thu Mar 17, 2016 11:59 pm

CuF wrote:Wasn't logged in, so I can 't edit that post.

Fixed.
*Always* check the changelogs BEFORE updating that important software!
Board search is currently partially broken: https://forums.informaction.com/viewtopic.php?f=14&t=21752
Workaround: use your favorite search engine, add site:forums.informaction.com to your query
-
barbaz
Senior Member
 
Posts: 6384
Joined: Sat Aug 03, 2013 5:45 pm

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby twistedvincent » Sat Mar 19, 2016 7:15 pm

Well it's down again/. West to use it this afternoon and nothing was where it supposed to be. I hope reverting to an old version helps until you guys get it fixxed
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:38.9) Gecko/20100101 Goanna/2.0 Firefox/38.9 PaleMoon/26.1.1
twistedvincent
 
Posts: 2
Joined: Sat Mar 19, 2016 7:08 pm

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby Guest » Mon Mar 21, 2016 7:08 pm

Please fix FlashGot to work with Pale Moon.

Old versions of FlashGot can be found here: https://flashgot.net/feeds
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:38.9) Gecko/20100101 Goanna/2.0 Firefox/38.9 PaleMoon/26.1.1
Guest
 

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby Guest » Mon Mar 21, 2016 7:42 pm

Guest wrote:Please fix FlashGot to work with Pale Moon.

Old versions of FlashGot can be found here: https://flashgot.net/feeds

or here: https://addons.mozilla.org/en-US/firefox/addon/flashgot/versions/?page=1#version-1.5.6.12.1-signed
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:38.9) Gecko/20100101 Goanna/2.0 Firefox/38.9 PaleMoon/26.1.1
Guest
 

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby twistedvincent » Mon Mar 21, 2016 7:44 pm

Someone sent me a beta (?) to use until something permanent comes along and after a reboot it didn't work again a tall.

So I'm back to using a version from last year but we'll see after another reboot.
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:38.9) Gecko/20100101 Goanna/2.0 Firefox/38.9 PaleMoon/26.1.1
twistedvincent
 
Posts: 2
Joined: Sat Mar 19, 2016 7:08 pm

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby anotherGuest » Tue Mar 22, 2016 11:19 am

There's a thread on the Pale Moon support forum concerning this. Am linking it hoping it will be helpful: http://forum.palemoon.org/viewtopic.php?f=16&t=11534
Mozilla/5.0 (Windows NT 6.1; rv:25.8) Gecko/20151126 Firefox/31.9 PaleMoon/25.8.1
anotherGuest
 

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby sgtph3n1x » Wed Mar 23, 2016 3:00 am

The only fix I could find for this was disable add-on updates for this add-on and reinstall FlashGot Version: 1.5.5.8.1, It worked for me.

Here's a link.
https://addons.mozilla.org/en-US/firefox/addon/flashgot/versions/1.5.5.8.1-signed

I am also looking for a solution myself.

But I thought I'd share this, while I patiently wait for a fix.
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:38.9) Gecko/20100101 Goanna/2.0 Firefox/38.9 PaleMoon/26.1.1
sgtph3n1x
 
Posts: 1
Joined: Wed Mar 23, 2016 2:54 am

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby Will Pittenger » Mon Mar 28, 2016 4:41 am

Definitely needs a fix.
Will Pittenger
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:38.9) Gecko/20100101 Goanna/2.0 Firefox/38.9 PaleMoon/26.1.1
Will Pittenger
 
Posts: 10
Joined: Thu Jul 16, 2009 7:15 am
Location: Morton, IL

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby FlashEmAll » Wed Mar 30, 2016 1:27 pm

Hello! Congratulations and thanks for your excellent FlashGot extension - it has always been very helpful. Just registered to also ask if this Pale Moon compatibility problem might be hopefully fixed. :)
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:2.0) Gecko/20100101 Goanna/20160222 PaleMoon/26.1.1
User avatar
FlashEmAll
 
Posts: 1
Joined: Wed Mar 30, 2016 1:18 pm

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby Habby » Wed Oct 26, 2016 7:10 am

FlashEmAll wrote:Hello! Congratulations and thanks for your excellent FlashGot extension - it has always been very helpful. Just registered to also ask about the Hydromax if this Pale Moon compatibility problem might be hopefully fixed. :)


Good question, I love the extension and I use it a lot but it needs a few fixes. I'd do it myself if I knew how.
Last edited by Habby on Fri Apr 21, 2017 1:20 pm, edited 2 times in total.
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:49.0) Gecko/20100101 Firefox/49.0
Habby
 
Posts: 1
Joined: Mon Oct 24, 2016 11:56 am

Re: Incompatiblility-FlashGot1.5.6.13 & PaleMoon26.1.1Browse

Postby CuF » Wed Oct 26, 2016 2:56 pm

A Pale Moon compatible version of the most recent version of FlashGot is on this thread: https://forum.palemoon.org/viewtopic.php?f=16&t=11534#p82603

Any bugs or issues with the program's normal functionality is up to its author to deal with... who has been MIA for quite a while.
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:38.9) Gecko/20100101 Goanna/2.2 Firefox/38.9 PaleMoon/26.5.0
CuF
Junior Member
 
Posts: 31
Joined: Fri Dec 06, 2013 10:14 pm

Next

Return to FlashGot Support

Who is online

Users browsing this forum: No registered users and 2 guests